MINOVAES - PRODUCT - Bug #1637
[HR - Time Management] Absence Quota tidak menghitung jumlah hari yang diambil, sehingga tidak

berkurang.

09/27/2022 02:27 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 09/27/2022
Priority: Urgent Due date: 09/30/2022
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours

Description
Dear Team Developer,

Mohon bantuannya untuk menangani masalah yang terjadi, yaitu absence quota di HR tidak menghitung jumlah hari yang ditentukan
selain WSType 5D8H, sehingga quota tidak berkurang.
sudah melakukan penambahan di table PHRTMWSTYP, PHRTMWSGEN, PHRTMWSCAL.

Mungkin yang harus dirubah adalah enginenya, tetapi jangan dihardcode, dan tetep baca sesuai WS nya employee masing-masing.
contoh employee : 10000148

Port : http:/remote.minovais.com:31133/

Server : remote.minovais.com,1442

DB : MinovaES_Product_2021
Menu : HR > HR Administration > Time Management > Time Data > Absence

Semoga dapat dimengerti

Terimakasih
Time Data
Employee Overview - 10000148 - ERICSSON
Employee ID: 10000148 Company ID: PT Asuransi Bintang Tbk
Full Name: ERICSSCON Employee Office: Minova (Jakarta)
Employee Status: Resign Organization: PT MINOWVA INFOTECH SOLUTION
Employee Type: Tetap Paosition: President Direstor
(o] & =4 ] F )
Attendance Detail
Overtime Absence Quota Attendance Work Schedule Personal Work Sch
Start Date: 2TI00/2022 Reguester ID:
End Date: 2Ti0gi2022 Maotes:
Absence Type: Cuti Tahunan Karyawan
Request Date: Creste By:
Delegate To: Creste Date:
Absence Address: Change By
Absence Fhone: Changs Date:
Total Absence Taken: o
v 18 o [ e
History

#1 - 09/27/2022 02:27 PM - Fiona Avangeline Jonathan
- File clipboard-202209271426-2nk6t.png added
http://remote.minovais.com:31133/

#2 - 09/27/2022 02:37 PM - Fiona Avangeline Jonathan

- Description updated

#3 - 09/29/2022 07:30 AM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

#4 - 10/09/2022 02:14 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona , udah bisa di test ya

package :
update folder script dengan terbaru
C:\ClientApp\2203 Product Demo\U\script

update API1 dan API2 :
API1 = MinovalS.MinovaES.Implementation.Data.Element.dl|
API2 = MinovalS.MinovaES.Implementation.Data.Element.dll

create sp :
- GetTotalTaken

cek di table PCMFUNC
- fnHitungAbsen2

makasih
#5 - 10/10/2022 09:53 AM - Fiona Avangeline Jonathan
- File clipboard-202210100952-4b7zn.png added

- File clipboard-202210100953-xgafw.png added
- Status changed from QA Test to Closed

Done, terima kasih.

Time Data
HOME = TIME DATA
« Save successfull. X
Employee Overview - 10000148 - ERICSSON
Employee ID: 10000143 Company 1D: MINOVAIS |
Full Name: ERICSSON Employee Office: Minova (Jakaria)
Employee Status: Resign Organization: PT MINOWVA INFOTECH SOLUTION
Employee Type: Tetap Position: President Director
8 - &~ & @
. Attendance Detail
Work Schedule Personal WS Attendance Absence Quota Owertime
Action
Start Da... End Date Absence Type Request Da... Requester ... Delegate ... Absence Addre.. Absence Phone| | Total Absence Tak... Notes
1702022 191072022  Cufi Tahunan Karyawan 3
10M072022 1071002022 Cuti Tahunan Karyawan 1
Time Data

HOME = TIME DATA

" Save successfull

Employee Overview - 10000148 - ERICSSON

Employee 1D: 10000143 Company 1D: MINOVAIS |
Full Mame: ERICSSOM Employee Office: Minova (Jakarta)
Employee Status: Resign Organization: PT MINOVA INFOTECH SOLUTION
Employee Type: Tetap Position: President Director
e a 4 8 ' fo} )
. Attendance Detail
Work Schedule Personal WS Attendance | Absence Quota Absence Overtime

Action
Start Da.. End Date Absence Quota Type Start Deducti... End Deducti... Original Quota Remaining Quota | ExpiredQuo.. Notes PreviousQuota
01/01/2022  31/12/2022  Cuti Tahunan Karyawan  01/01/2022 3171212022 12 g 311272022 5
clipboard-202209271426-2nk6t.png 39.3KB 09/27/2022 Fiona Avangeline Jonathan
clipboard-202210100952-4b7zn.png 46.5 KB 10/10/2022 Fiona Avangeline Jonathan
